﻿

/****** Object:  StoredProcedure [dbo].[IAlbaranValor_Prv_Rpt]    Script Date: 13/12/2017 18:54:35 ******/
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO



ALTER PROCEDURE [dbo].[IAlbaranValor_Prv_Rpt] 
	@IdAlbaran T_Id_Albaran AS
--SELECT 
--	Albaranes_Prov_Cab.IdAlbaran,
--	Albaranes_Prov_Cab.NumAlbProv,
--	Albaranes_Prov_Cab.IdMoneda,
--	Moneda.Simbolo,
--	0 as Cantidad,
--	Pedidos_Prov_Lineas.Precio,

--	Pedidos_Prov_Lineas.Precio_Euro,
--	Pedidos_Prov_Lineas.PrecioMoneda,
--	Pedidos_Prov_Lineas.Descuento,
--	(CASE WHEN IVAs.Porcentaje = 0
--	THEN 0
--	ELSE IVAs_Linea.Porcentaje
--	END) as IvaLinea,
--	(CASE WHEN (Albaranes_Prov_Cab.IdMoneda = 0) OR (Albaranes_Prov_Cab.IdMoneda = 1)
--	THEN (Cantidad*Precio)-((Cantidad*Precio)*(Pedidos_Prov_Lineas.Descuento/100))
--	ELSE (Cantidad*(PrecioMoneda))-((Cantidad*(PrecioMoneda))*(Pedidos_Prov_Lineas.Descuento/100))
--	END) as TotalLineaMoneda,
--	(Cantidad*Precio_Euro)-((Cantidad*Precio_Euro)*(Pedidos_Prov_Lineas.Descuento/100)) as TotalLineaEuro,
--	Pedidos_Prov_Lineas.IdDoc,
--	Pedidos_Prov_Cabecera.IdTipoProv as IdTipoOtro

--FROM 	Albaranes_Prov_Cab, Pedidos_Prov_Lineas ,
--	Pedidos_Prov_Cabecera,
--	IVAs,
--	IVAs as IVAs_Linea,
--	Moneda,
--	Prov_Datos,
--	Prov_Datos_Economicos


--WHERE	Albaranes_Prov_Cab.IdAlbaran = @IdAlbaran AND
--	Albaranes_Prov_Cab.IdAlbaran = Pedidos_Prov_Lineas.IdAlbaran AND 
--	Albaranes_Prov_Cab.IdProveedor = Prov_Datos_Economicos.IdProveedor AND 
--	Albaranes_Prov_Cab.IdProveedor = Prov_Datos.IdProveedor AND 
--	Albaranes_Prov_Cab.IdMoneda = Moneda.IdMoneda AND
--	Pedidos_Prov_Lineas.IdIva = IVAs_Linea.IdIva AND
--	Prov_Datos_Economicos.IdIva = IVAs.IdIva AND 
--	Pedidos_Prov_Lineas.idpedido=Pedidos_Prov_Cabecera.idpedido AND
--	Pedidos_Prov_Lineas.IdEstado <> -1
select 
A.IdAlbaran,
A.NumAlbProv,
		A.IdMoneda,
		M.Simbolo,
		--p.BaseEuros as TotalLineasEuros,   
		p.IVAEuros, 
		0 as Cantidad,
		p.BaseEuros as Precio,
		p.BaseMoneda as PrecioMoneda,
		p.BaseEuros as Precio_Euro,  
		0 as Descuento,            
		CASE WHEN p.TieneIVA= 0 THEN 0 ELSE P.IVATotalEuros END as IvaEuros,   
		CASE WHEN p.TieneIVA= 0 THEN 0 ELSE P.IvaTotalMoneda END as IvaMoneda,                  
		CASE WHEN p.TieneIVA= 0 THEN 0 ELSE P.IVAPorcent END as IvaLinea,
		CASE WHEN p.TieneRecargo= 0 THEN 0 ELSE p.RecargoPorcent END as PorcRE,
		p.RecargoEuros as ReqEuros,
		p.TotalBaseMoneda as TotalLineaMoneda,
		p.TotalBaseEuros as TotalLineaEuro,			               
		A.IdDoc ,
		pd.IdTipo as IdTipoProv               
	FROM Albaranes_Prov_Cab A inner join Moneda M on A.IdMoneda=M.IdMoneda
	inner join Prov_Datos pd on a.idproveedor=pd.idproveedor
		inner join Albaranes_Prov_Totales_Bases P ON A.IdAlbaran=P.IdAlbaran
		--cross apply  dbo.funAlbaranes_Cli_Bases (Albaranes_Cli_Cab.IdAlbaran) p                 
WHERE A.IdAlbaran = @IdAlbaran
GO





