﻿/****** Object:  StoredProcedure [dbo].[IDomiciliaciones_Prov_Rpt]    Script Date: 03/13/2015 08:27:27 ******/
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

/****** Objeto:  procedimiento almacenado dbo.IDomiciliaciones_Prov_Rpt    fecha de la secuencia de comandos: 14/06/01 14:17:47 ******/
ALTER PROCEDURE [dbo].[IDomiciliaciones_Prov_Rpt] 
	@IdProveedor T_Id_Proveedor, 
	@IdDomiciliacion T_Id_Domiciliacion AS
SELECT 	
	Bancos.Nombre as NombreBanco,
	
	Bancos_Sucursales.Nombre as NombreSucursal,
	Bancos_Sucursales.Direccion as DireccionSucursal,

	Bancos_Sucursales.Ciudad as CiudadSucursal,
	Bancos_Sucursales.Provincia as ProvinciaSucursal,
	Bancos_Sucursales.CodPostal as CodPostalSucursal,

	Prov_Domiciliaciones.IdProveedor,
	Prov_Domiciliaciones.IdDomiciliacion,
	Prov_Domiciliaciones.IBAN,
	Prov_Domiciliaciones.IdBanco,
	Prov_Domiciliaciones.IdSucursal,
	Prov_Domiciliaciones.DigitoControl,
	Prov_Domiciliaciones.CuentaCorriente

FROM
	Prov_Domiciliaciones,
	Bancos,
	Bancos_Sucursales
WHERE
	Prov_Domiciliaciones.IdProveedor = @IdProveedor AND
	Prov_Domiciliaciones.IdDomiciliacion = @IdDomiciliacion AND
	Prov_Domiciliaciones.IdBanco = Bancos.IdBanco AND
	Prov_Domiciliaciones.IdBanco = Bancos_Sucursales.IdBanco AND
	Prov_Domiciliaciones.IdSucursal = Bancos_Sucursales.IdSucursal
